Name:           gsf-sharp
Version:        0.8.1
Release:        23%{?dist}
Summary:        Mono bindings for libgsf

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://go-mono.com
Source0:        %{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  mono-devel libgsf-devel gtk-sharp2-gapi gtk-sharp2 >= 1.9.5
BuildRequires:  gtk-sharp2-devel
Requires:       libgsf

# Mono only available on these:
ExclusiveArch: %mono_arches

%description
Mono bindings for libgsf

%package devel
Summary: pkgconfig file for gsf-sharp
Group: Development/Libraries
Requires: %{name} = %{version}-%{release} pkgconfig

%description devel
pkgconfig file for gsf-sharp

%prep
%setup -q
sed -i -e 's!@libdir@!%{_prefix}/lib!' *.pc.in

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}

make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gtk-sharp /gacdir %{_prefix}/lib /root ${RPM_BUILD_ROOT}%{_prefix}/lib"

rm $RPM_BUILD_ROOT%{_libdir}/*.{a,la}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS NEWS README COPYING
%{_libdir}/libgsfglue.*
%{_prefix}/lib/mono/gac/gsf-sharp
%{_prefix}/lib/mono/gtk-sharp/*
%{_datadir}/gapi-2.0/gsf-api.xml

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/gsf-sharp.pc

%changelog
* Tue Mar 24 2015 Than Ngo <than@redhat.com> - 0.8.1-23
- use %%mono_arches

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-21
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-20
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-19
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-17
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 12 2011 Christian Krause <chkr@fedoraproject.org> - 0.8.1-16
- Change paths for mono assemblies according to updated packaging
  guidelines (http://fedoraproject.org/wiki/Packaging:Mono)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Dan Horák <dan[at]danny.cz> - 0.8.1-14
- updated the supported arch list

* Thu Oct 28 2010 Christian Krause <chkr@fedoraproject.org> - 0.8.1-13
- Rebuilt against Mono 2.8


* Mon Oct 26 2009 Dennis Gilmore <denis@ausil.us> - 0.8.1-12
- exclude sparc64

* Thu Aug 20 2009 Toshio Kuratomi <toshio@fedoraproject.org> - 0.8.1-11
- Rebuild ppc64 packages

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May 30 2009 Xavier Lamien <laxathom@fedoraproject.org> - 0.8.1-10
- Build arch ppc64.

* Tue Feb 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.8.1-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Jul 25 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.8.1-8
- fix license tag

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.8.1-7
- Autorebuild for GCC 4.3

* Sat Dec 15 2007 Christopher Aillon <caillon@redhat.com> - 0.8.1-6
- Rebuild to pick up proper mono rpm provides

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 0.8.1-5
- Rebuild for selinux ppc32 issue.

* Thu Jul 26 2007 Matthias Clasen <mclasen@redhat.com> - 0.8.1-4
- Add alpha to ExclusiveArch (#246203)

* Sat Apr 21 2007 Matthias Clasen <mclasen@redhat.com> - 0.8.1-3
- Don't ship .la files and static libs

* Sun Oct 01 2006 Jesse Keating <jkeating@redhat.com> - 0.8.1-2.fc6
- rebuilt for unwind info generation, broken in gcc-4.1.1-21

* Wed Sep 20 2006 Alexander Larsson <alexl@redhat.com> - 0.8.1-1.fc6
- Update to 0.8.1, fixes a leak that caused files to not be closed

* Wed Sep  6 2006 Alexander Larsson <alexl@redhat.com> - 0.8-4
- Add -devel package (#205052)

* Sat Aug 19 2006 Matthias Clasen <mclasen@redhat.com> - 0.8-3.fc6
- Rebuild

* Fri Aug 18 2006 Alexander Larsson <alexl@redhat.com> - 0.8-2
- Rebuild with new mono libdir

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 0.8-1.1
- rebuild

* Wed Jun 21 2006 Alexander Larsson <alexl@redhat.com> - 0.8-1
- update to 0.8 which is for gsf 1.14.x

* Fri Jun  9 2006 Alexander Larsson <alexl@redhat.com> - 0.6-10
- Disable on s390* as mono doesn't build on s390 atm

* Tue Mar 21 2006 Caolan McNamara <caolanm@redhat.com> 0.6-9
- rebuild against new libgsf

* Wed Mar 01 2006 Karsten Hopp <karsten@redhat.de> 0.6-8
- Buildrequires: gtk-sharp2

* Sun Feb 12 2006 Christopher Aillon <caillon@redhat.com> 0.6-7
- Rebuild

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 0.6-6.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Jan 31 2006 Christopher Aillon <caillon@redhat.com> 0.6-6
- Rebuild

* Sun Jan 22 2006 Alexander Larsson <alexl@redhat.com> 0.6-5
- Build on s390x

* Mon Jan  9 2006 Alexander Larsson <alexl@redhat.com> - 0.6-4
- Add s390 target

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Thu Dec  8 2005 Alexander Larsson <alexl@redhat.com> 0.6-3
- Rebuild for new libgsf

* Mon Nov 21 2005 Alexander Larsson <alexl@redhat.com> 0.6-2
- Fix lib64 issue in pkgconfig file

* Mon Nov 21 2005 Alexander Larsson <alexl@redhat.com> - 0.6-1
- Initial version
